Appearance
Update ingestion settings ​
http
PUT https://api.onehazel.com/operator-data-api/settingsSelects the data template for the operator.
Section: Data ingestion
Operation id: putOperatorDataApiSettings
Authentication ​
Operator API key (Authorization: Bearer oh_live_...).
Request body ​
JSON object.
Responses ​
200 { "success": true, "data": ... }
Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.
Example ​
bash
curl -X PUT "https://api.onehazel.com/operator-data-api/settings" \
-H "Authorization: Bearer oh_live_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Machine-readable: openapi.yaml, openapi.json.